﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace SilverlightApplication1
{
	public partial class MainPage : UserControl
	{
		private ObservableCollection<Color> CustomColors = new ObservableCollection<Color>() { Colors.Red, Colors.Blue };

		public MainPage()
		{
			InitializeComponent();
		}

		private void RadColorSelector_Loaded(object sender, RoutedEventArgs e)
		{
			RadColorSelector sel = sender as RadColorSelector;
			sel.NoColorText = "Transparent";
			sel.MainPaletteHeaderText = "Standard Colors";
			sel.StandardPaletteHeaderText = "Custom Colors";
			sel.MainPaletteColumnsCount = 10;
			sel.StandardPaletteItemsSource = CustomColors;
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			CustomColors.Add(Colors.Purple);
		}
	}
}
